<?php
namespace Claromentis\Design;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_5164b7c135dc9712c" . "57fea5e29bbfdfe" => base64_decode("ZGVzaWduLnBlcm1zLnZpZXdfdGhlb" . "WU="));
use Claromentis\Core\Acl\Acl;
use Claromentis\Core\Acl\CommonPermsDialog;




class Perm
{
    const CLASS_THEME = 136;
    const CLASS_THEME_FORCED = 137;
    const VIEW = 0b1;
    public static function GetPermsDialog(Acl $acl)
    {
        $_f81196ce31aa53103a8109719a888904 = new CommonPermsDialog($acl);
        $_f81196ce31aa53103a8109719a888904->SetAllPermValues(self::GetAllPermValues());
        return $_f81196ce31aa53103a8109719a888904;
    }
    public static function GetAllPermValues()
    {
        return [self::VIEW => [$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5164b7c135dc9712c57fea5e29bbf" . "dfe"]), true]];
    }
}